(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@cypress/webpack-dev-server'), require('path'), require('@ngtools/webpack')) :
    typeof define === 'function' && define.amd ? define('cypress-angular-dev-server', ['exports', '@cypress/webpack-dev-server', 'path', '@ngtools/webpack'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["cypress-angular-dev-server"] = {}, global.webpackDevServer, global.path, global.webpack));
})(this, (function (exports, webpackDevServer, path, webpack) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var path__namespace = /*#__PURE__*/_interopNamespace(path);

    module.exports = {
        mode: 'development',
        module: {
            rules: [
                {
                    test: /\.[jt]sx?$/,
                    loader: '@ngtools/webpack',
                },
                {
                    test: /(\.scss|\.sass)$/,
                    use: ['raw-loader', 'sass-loader'],
                },
            ],
        },
        resolve: {
            extensions: ['.ts', '.js'],
        },
        plugins: [
            new webpack.AngularWebpackPlugin({
                tsconfig: path__namespace.join(__dirname, '../../tsconfig.cy.json'),
            }),
        ],
    };

    var webpackConfig = /*#__PURE__*/Object.freeze({
        __proto__: null
    });

    function devServer(config) {
        return webpackDevServer.startDevServer({
            options: config,
            webpackConfig: webpackConfig
        });
    }

    /*
     * Public API Surface of angular-dev-server
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.devServer = devServer;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=cypress-angular-dev-server.umd.js.map
